2014-06-22  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 8.11 released.

2014-06-02  Jerry James  <james@xemacs.org>

	* Makefile (EXPLICIT_DOCS): Fix texinfo file extension.
	(DOCS_TEXINFO_EXTENSION): Enable.

2014-05-15  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 8.10 released.

2014-05-15  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 8.09 released.

2014-05-13  Jerry James  <james@xemacs.org>

	* .cvsignore: Remove.
	* .hgignore: New file.
	* lisp/vm-version.el: Restore CVS keyword expansions.
	* info/vm.texinfo: Update for texinfo 5.x.
	* info/vm-pcrisis.texinfo: Ditto.

2009-09-15  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 8.08 released.

2009-09-15  Aidan Kehoe  <kehoea@parhasard.net>

	* lisp/vm-virtual.el (vm-build-virtual-message-list): 
	Merge Julian Bradfield's change of
	slrnh1ihb5.cmt.jcb@krk.inf.ed.ac.uk , preventing corruption with
	UTF-8 coding systems and virtual folders.

2008-08-25  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 8.07 released.

2008-08-22  Aidan Kehoe  <kehoea@parhasard.net>

	* lisp/vm-mime.el (vm-update-mime-charset-maps):
	Check for some MIME character sets that may be available in recent
	XEmacs.

2008-08-19  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 8.06 released.

2008-08-13  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 8.05 released.

2008-07-23  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 8.04 released.

2008-04-29  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 8.03 released.

2008-04-28  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 8.02 released.

	* Makefile (VERSION): XEmacs package 8.01 released.

2007-10-13  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 7.26 released.

2007-10-13  Aidan Kehoe  <kehoea@parhasard.net>

	* vm-mime.el (vm-mime-tty-can-display-mime-charset):
	Call coding-system-name when determining whether the current TTY
	coding system can display the relevant MIME character set;
	prevents false negatives when coding system objects are compared
	with the symbols that refer to them.

2007-09-30  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 7.25 released.

2007-09-30  Aidan Kehoe  <kehoea@parhasard.net>

	* Sync to upstream version 7.19, Kyle's last version.
	* Makefile (AUTHOR_VERSION): Bump. Don't do the off-by-one trick
	Steve did for the last release, since our versions are too out of
	sync for that to be helpful now.

2007-09-16  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 7.24 released.

2007-09-07  Mike Sperber  <mike@xemacs.org>

	* tapestry.el (tapestry-set-window-map): Use
	`frame-reduce-to-one-window' instead of `delete-other-windows' to
	keep the point from moving inadvertently.

2007-09-04  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 7.23 released.

2007-09-04  Didier Verna  <didier@xemacs.org>

	* vm-vars.el (vm-visible-headers): Fix misuse of the list widget
	type.
	* vm-vars.el (vm-stunnel-program-switches): Ditto.

2005-06-06  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 7.22 released.

2005-06-05  Adrian Aichner  <adrian@xemacs.org>

	* vm-mime.el (vm-xemacs-mule-p): quick vm-mime fix for tm package
	compile error.

2005-05-24  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 7.21 released.

2005-05-20  Aidan Kehoe  <kehoea@parhasard.net>

	* vm-mime.el (vm-xemacs-mule-p): One more issue with my patch of
	the fourth; the map from XEmacs coding systems to MIME character
	sets wasn't getting initialised properly.

2005-05-10  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 7.20 released.

2005-05-10  Aidan Kehoe  <kehoea@parhasard.net>

	* vm-mime.el (vm-mime-tty-can-display-mime-charset):
	My last change to VM was insufficiently tested--this should have
	called vm-get-mime-ucs-list instead of referencing
	vm-mime-ucs-list. Oops.

2005-04-04  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 7.19 released.

2005-04-04  Aidan Kehoe  <kehoea@parhasard.net>

	* vm-mime.el (vm-coding-system-priorities): New.
	* vm-mime.el (vm-get-coding-system-priorities): New.
	Add a list of preferred Mule coding systems for outgoing mail;
	write a function to access it, to allow us to have reasonable
	defaults--based on various packages' loaded state--in the event of
	it being nil.

	* vm-mime.el (vm-mime-ucs-list): New.
	* vm-mime.el (vm-get-mime-ucs-list): New.
	Add a list of Mule coding systems that can encode every character;
	use a function to access them, so we can check for utf-8 being
	available on lookup.

	* vm-mime.el (vm-update-mime-charset-maps): New.
	Function to update the mule coding system -> Mime character set
	maps, called after load for un-define and latin-unity.

	* vm-mime.el (vm-mime-charset-decode-region): If the TTY coding
	system we're using can display a MIME charset, go ahead and decode
	the message.
	* vm-mime.el (vm-determine-proper-charset): Use latin-unity if
	available, and other logic if not, to work out the appropriate
	MIME character set to use for a region.
	* vm-mime.el (vm-mime-tty-can-display-mime-charset): New.
	* vm-mime.el (vm-mime-charset-internally-displayable-p): Add a
	docstring, use vm-mime-tty-can-display-mime-charset now it's
	available.

2004-12-07  Ben Wing  <ben@xemacs.org>

	* Makefile (EARLY_GENERATED_LISP):
	* Makefile (vm.el):
	vm.el must be generated early because of dependencies from
	other packages.

2003-10-31  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 7.18 released.

2003-09-22  Steve Youngs  <youngs@xemacs.org>

	* Makefile (EXPLICIT_DOCS): Removed.
	(STANDARD_DOCS): Use instead.

2003-09-03  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 7.17 released.

2003-09-03  Steve Youngs  <youngs@xemacs.org>

	* Sync to upstream version 7.17

	* Makefile (AUTHOR_VERSION): Bump.
	(VERSION): Set to 7.16 so that the automatic release process
	increments it to 7.17 for the release.

2003-04-02  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 7.14 released.

2003-04-02  Steve Youngs  <youngs@xemacs.org>

	* Sync to upstream version 7.14.

	* Makefile (VERSION): Set to 7.13 so when the package is rolled it
	will be automatically incremented to 7.14.
	(AUTHOR_VERSION): Bump.
	(vm-autoload.el): Put provide form at end of file.

2003-03-30  Steve Youngs  <youngs@xemacs.org>

	* Makefile (GENERATED_LISP): Don't put vm-autoload.el here.
	(EARLY_GENERATED_LISP): Put it here.
	(autolaods): Removed, done via 'EARLY_GENERATED_LISP'.

2003-03-27  Steve Youngs  <youngs@xemacs.org>

	* Makefile (autoloads): Accidently wiped this out with the sync.
	It's back now, so 'make autoloads' will also build
	vm-autoload.el.

2003-03-26  Steve Youngs  <youngs@xemacs.org>

	* Sync with upstream version 7.13

	* Makefile (vm-autoload.el): Use $BOOT_XEMACS instead of $XEMACS

2003-03-09  Ben Wing  <ben@xemacs.org>

	* .cvsignore:
	Remove package-info, pdepends.mk.

	* Makefile (vm-autoload.el):
	* Makefile (autoloads):
	Delete explicit compile:: and binkit: rules.
	Use EXPLICIT_DOCS instead of explicitly giving the targets
	and dependencies.
	Use DOCS_TEXINFO_EXTENSION.
	Add skeptical comment about the need to build vm docs with
	texinfo.el.
	Use GENERATED_LISP (vm-autoload.el), EXTRA_DEPENDENCIES (vm.elc).
	Format info using makeinfo, not XEmacs.

2002-11-29  Ben Wing  <ben@xemacs.org>

	* .cvsignore: Remove files now handled automatically by CVS,
	add vm.el.
	* Makefile: Use `compile' instead of hard-coded `all'.

2002-10-15  Ville Skyttä  <scop@xemacs.org>

	* Makefile (srckit): Remove.

2002-10-13  Ville Skyttä  <scop@xemacs.org>

	* Makefile (autoloads): Do vm-autoload.el in autoloads.

2002-07-16  Adrian Aichner  <adrian@xemacs.org>

	* .cvsignore: Add generated .info* and .html files.

2002-06-08  Steve Youngs  <youngs@xemacs.org>

	* Makefile (VERSION): XEmacs package 7.07 released.

2002-06-07  Steve Youngs  <youngs@xemacs.org>

	* Sync with VM-7.07

	* Makefile (PRELOADS): Don't preload vm-misc.el.
	(MANUAL): Remove.
	(EXTRA_OBJS): Include vm.el and vm.elc.
	(EXTRA_SOURCES): Ditto.
	(vm.elc): Create a byte-compiled file.

2002-05-09  Steve Youngs  <youngs@xemacs.org>

	* Makefile (VERSION): XEmacs package 7.04 released.

	* Sync with VM-7.04

	* Makefile (PRELOADS): Remove ./'s

2002-03-25  Steve Youngs  <youngs@xemacs.org>

	* Makefile (VERSION): 7.03 released.

2002-03-12  Adrian Aichner  <adrian@xemacs.org>

	* vm.texinfo: Fix typos found by my own grep-for-likely-typo.pl.

2002-03-19  Steve Youngs  <youngs@xemacs.org>

	* Sync with VM-7.03.

2002-01-07  Adrian Aichner  <adrian@xemacs.org>

	* Makefile (HTML_FILES): New.
	* Makefile (HTML_DEP): New.

2002-01-02  Steve Youngs  <youngs@xemacs.org>

	* package-info.in (provides): Update to include all provides.

2001-12-30  Adrian Aichner  <adrian@xemacs.org>

	* vm.texinfo: Uncomment and complete direntry.

2001-12-09  Steve Youngs  <youngs@xemacs.org>

	* Sync with vm-7.00

2001-11-30  Steve Youngs  <youngs@xemacs.org>

	* Makefile (ELCS): Add vm-crypto.elc

	* Sync with VM-6.99

2001-09-08  Steve Youngs  <youngs@xemacs.org>

	* Makefile (MAINTAINER): Change to Kyle's address.

2001-09-07  Steve Youngs  <youngs@xemacs.org>

	* Sync with VM-6.96.

2001-07-26  Steve Youngs  <youngs@xemacs.org>

	* Sync with VM-6.95.

2001-07-21  Steve Youngs  <youngs@xemacs.org>

	* Sync with VM-6.94.

2001-05-11  Ben Wing  <ben@xemacs.org>

	* Makefile (binkit):
	Fix to compile in the absence of an installed package tree.

2001-04-08  Steve Youngs  <youngs@xemacs.org>

	* Sync with VM-6.92

2001-03-03  Steve Youngs  <youngs@xemacs.org>

	* Sync with VM-6.91

2001-02-08  Steve Youngs  <youngs@xemacs.org>

	* Sync with VM-6.90

2001-01-10  Steve Youngs  <youngs@xemacs.org>

	* Sync with VM-6.89.

2000-11-26  Steve Youngs  <youngs@xemacs.org>

	* Sync with VM-6.85

2000-11-16  Steve Youngs  <youngs@xemacs.org>

	* Makefile (ELCS): Updated to accommodate VM-6.84.
	(TEXI_FILES): VM now uses a *.texinfo file.
	(vm.info): Ditto.

	* Sync with VM-6.84.

2000-10-05  Martin Buchholz  <martin@xemacs.org>

	* *: Mega typo fix.

2000-08-25  Andreas Jaeger  <aj@suse.de>

	* Synch with VM-6.75.

2000-08-22  Steve Youngs  <youngs@xemacs.org>

	* Makefile: Remove target 'clean' because it's covered in XEmacs.rules.
	(EXTRA_OBJS): New variable.

1999-12-05  Andreas Jaeger  <aj@suse.de>

	* Makefile (clean): Also clean vm-autoload.elc and vm.elc.

1999-12-05  Andreas Jaeger  <aj@suse.de>

	* Makefile (clean): New target - cleans also vm-autoload.
	Patch by Jan Vroonhof <vroonhof@math.ethz.ch>.

1999-05-13  SL Baur  <steve@gneiss.etl.go.jp>

	* Makefile: Synch with VM-6.71.

1998-09-22  SL Baur  <steve@altair.xemacs.org>

	* Repackage and add vm.elc to installation.

1998-09-19  SL Baur  <steve@altair.xemacs.org>

	* Synch with VM-6.62

1998-06-26  SL Baur  <steve@altair.xemacs.org>

	* dumped-lisp.el: removed.

1998-02-17  SL Baur  <steve@altair.xemacs.org>

	* Synch with VM-6.43

1998-02-14  SL Baur  <steve@altair.xemacs.org>

	* Synch with VM-6.41

1998-01-24  SL Baur  <steve@altair.xemacs.org>

	* Makefile (VERSION): Update to package standard 1.0.
	* package-info.in: Ditto.

1998-01-12  SL Baur  <steve@altair.xemacs.org>

	* Makefile: Update to newer package interface.

1997-12-30  SL Baur  <steve@altair.xemacs.org>

	* Makefile: Fix Makefile and repackage.

1997-12-21  SL Baur  <steve@altair.xemacs.org>

	* vm-loaddefs.el: New file.  Created from autoloads formerly in
	loaddefs.el.

	* Makefile: Created.
